Supported Environments

Run the Camunda BPM platform in every Java-runnable environment. Camunda BPM is supported with our QA infrastructure in the following environments. Here you can find more information about our enterprise support.

Supported Environments

Please note that the environments listed in this section depend on the version of the Camunda BPM platform. Please select the corresponding version of this documentation to see the environment that fits to your version of the Camunda BPM platform. e.g., supported environments for version 7.3

Container/Application Server for Runtime Components

Application-Embedded Process Engine

Container-Managed Process Engine and Camunda Cockpit, Tasklist, Admin

Databases

Supported Database Products

  • MySQL 5.6 / 5.7
  • MariaDB 10.0 / 10.2 / 10.3
  • Oracle 11g / 12c / 18c
  • IBM DB2 10.5 / 11.1 (excluding IBM z/OS for all versions)
  • PostgreSQL 9.4 / 9.6 / 10.4 / 10.7 / 11.1 / 11.2
  • Amazon Aurora PostgreSQL compatible with PostgreSQL 9.6 / 10.4 / 10.7
  • Microsoft SQL Server 2012/2014/2016/2017 (see Configuration Note)
  • H2 1.4 (not recommended for Cluster Mode - see Deployment Note)

Database Clustering & Replication

Clustered or replicated databases are supported given the following conditions. The communication between Camunda BPM and the database cluster has to match with the corresponding non-clustered / non-replicated configuration. It is especially important that the configuration of the database cluster guarantees the equivalent behavior of READ-COMMITTED isolation level.

  • MariaDB Galera Cluster: Galera Cluster for MariaDB is supported with specific configuration settings and some known limitations. See Details.

Web Browser

  • Google Chrome latest
  • Mozilla Firefox latest
  • Internet Explorer 11
  • Microsoft Edge

Java

  • Java 8 / 9 / 10 / 11 / 12 / 13 (if supported by your application server/container)

Java Runtime

  • Oracle JDK 8 / 9 / 10 / 11 / 12 / 13
  • IBM JDK 8 (with J9 JVM)
  • OpenJDK 8 / 9 / 10 / 11 / 12 / 13, including builds of the following products:
    • Oracle OpenJDK
    • AdoptOpenJDK (with HotSpot JVM)
    • Amazon Corretto
    • Azul Zulu

Camunda Modeler

Supported on the following platforms:

  • Windows 7 / 10
  • Mac OS X 10.11
  • Ubuntu LTS (latest)

Reported to work on

  • Ubuntu 12.04 and newer
  • Fedora 21
  • Debian 8

Maintenance Policy

Check our Enterprise Announcements page for confirmed changes to our supported environments in upcoming releases.

Adding Environments

Whenever a new version of one of the following environments is released, we target support of that new version with the next minor release of Camunda BPM:

  • Java Language
  • Wildfly Application Server
  • Oracle Database

The exact release in which we support a new environment depends on factors such as the release date of the environment and the required implementation effort.

Version support for other environments is decided case by case, much of which is based on the demand in our user base.

On this Page: